Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class FindNextAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.texteditor.ResourceAction
                      org.eclipse.ui.texteditor.FindNextAction

All Implemented Interfaces:
  IAction, IUpdate

    public class FindNextAction

extends ResourceAction
implements IUpdate

An action which finds the next/previous occurrence of the last search or the current selection if present.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`FindNextAction(ResourceBundle bundle, String prefix, IWorkbenchPart workbenchPart, boolean forward)` Creates a new find/replace action for the given workbench part.
`FindNextAction(ResourceBundle bundle, String prefix, IWorkbenchWindow workbenchWindow, boolean forward)` Deprecated. use FindReplaceAction(ResourceBundle, String, IWorkbenchPart, boolean) instead

Method Summary
`void` `run()` The default implementation of this `IAction` method does nothing.
`void` `update()` Requests that this object update itself.

Methods inherited from class org.eclipse.ui.texteditor.ResourceAction
`getString, initialize, setHelpContextId`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### FindNextAction

    public FindNextAction(ResourceBundle bundle,
                          String prefix,
                          IWorkbenchPart workbenchPart,
                          boolean forward)

  Creates a new find/replace action for the given workbench part. The action configures its visual representation from the given resource bundle.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
    `workbenchPart` - the workbench part
    `forward` - the search direction
  See Also:
    `ResourceAction.ResourceAction(ResourceBundle, String)`

### FindNextAction

    public FindNextAction(ResourceBundle bundle,
                          String prefix,
                          IWorkbenchWindow workbenchWindow,
                          boolean forward)

  Deprecated. use FindReplaceAction(ResourceBundle, String, IWorkbenchPart, boolean) instead

  Creates a new find/replace action for the given workbench window. The action configures its visual representation from the given resource bundle.

  Parameters:
    `bundle` - the resource bundle
    `prefix` - a prefix to be prepended to the various resource keys (described in `ResourceAction` constructor), or `null` if none
    `workbenchWindow` - the workbench window
    `forward` - the search direction
  See Also:
    `ResourceAction.ResourceAction(ResourceBundle, String)`

Method Detail

### run

    public void run()

  Description copied from class: `Action`
  The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### update

    public void update()

  Description copied from interface: `IUpdate`
  Requests that this object update itself.

  Specified by:
    `update` in interface `IUpdate`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.